Subject: Re: [PATCH net-next 06/12] ice: Implement basic eswitch bridge setup

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Jun 2023 10:35:42 -0700

On Mon, 26 Jun 2023 16:26:15 +0200 Michal Swiatkowski wrote:
> We found out that adding VF and corresponding port representor to the
> bridge cause loop in the bridge. Packets are looping through the bridge.
> I know that it isn't valid configuration, howevere, it can happen and
> after that the server is quite unstable.
> 
> Does mellanox validate the port for this scenario? Or we should assume
> that user will add port wisely? I was looking at your code, but didn't
> find that. You are using NETDEV_PRECHANGEUPPER, do you think we should
> validate if user is trying to add VF when his PR is currently added?

Can you try to plug two ends of a veth into a bridge and see if the
same thing happens?  My instinct is that this is a classic bridge
problem and the answer is STP.